C--------------------------------------------------------------------
C The user of the OPEN-ADAS system and data (hereinafter "the User")
C accepts the following terms and conditions: 
C 
C   1. The University of Strathclyde uses all reasonable endeavours
C      to ensure the accuracy of the data provided and any
C      information given, but the University makes no warranty,
C      expressed or implied as to its accuracy, integrity, fitness
C      for purpose and shall not be responsible for the use to
C      which the data is put by the User and/or any consequences
C      arising out of any inaccuracies or omissions.
C 
C   2. Any downloaded OPEN-ADAS file is made available here for the
C      personal use of the User only.  It must not be used for any
C      commercial application, incorporated into any web site or in
C      any form re-distributed without express prior written
C      permission from the ADAS Project. In particular, but not by
C      way of limitation, it must not be:
C 
C        * inserted into a managed database structure
C        * redistributed along with a modelling or analysis code
C        * made available on a public website.
C 
C Permission for OPEN-ADAS data incorporation in non-commercial
C code/system development for scientific advance will not be
C unreasonably withheld, but will be subject to written agreement
C on a case by case basis.
C 
C The User will indemnify the University of Strathclyde and keep
C it fully and effectively indemnified against each and every
C claim made against the University as a result of the User's
C use of the data.  
C--------------------------------------------------------------------
CX UNIX PORT - SCCS info: Module @(#)$Header: /work/dummy/xxdata_09/xxisrt.for,v 1.1 2004/07/06 15:36:56 whitefor Exp $ Date $Date: 2004/07/06 15:36:56 $
CX
      SUBROUTINE XXISRT( N , ARR , INDX , WRK )
      IMPLICIT NONE
C-----------------------------------------------------------------------
C
C  ****************** FORTRAN77 SUBROUTINE: XXISRT *********************
C
C  PURPOSE: SORTS AN ARRAY 'ARR' OF LENGTH 'N' ACCORDING TO THE INDEX
C           'INDX()'  SUCH  THAT  'ARR(INDX(J))'  GOES  TO   'ARR(J)'
C           FOR J=1,2,...,N.   THE INPUT QUANTITIES 'N' AND 'INDX' ARE
C           NOT CHANGED.
C
C  CALLING PROGRAM: GENERAL USE
C
C  SUBROUTINE:
C
C  INPUT :    (I*4)  N       = INPUT ARRAY 'ARR()' LENGTH
C  I/O   :    (R*8)  ARR()   = ARRAY TO BE SORTED
C  INPUT :    (I*4)  INDX()  = RE-ORDERING INDEX
C  OUTPUT:    (R*8)  WRK()   = WORKSPACE
C
C             (I*4)  I       = GENERAL USE
C
C ROUTINES:  NONE
C
C AUTHOR:  PAUL E. BRIDEN (TESSELLA SUPPORT SERVICES PLC)
C          K1/0/81
C          JET EXT. 4569
C
C DATE:    11/07/90
C
C-----------------------------------------------------------------------
C
C-----------------------------------------------------------------------
      INTEGER N        , I
      INTEGER INDX(N)
C-----------------------------------------------------------------------
      REAL*8  ARR(N)   , WRK(N)
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
C
         DO 1 I=1,N
            WRK(I)=ARR(I)
    1    CONTINUE
C-----------------------------------------------------------------------
         DO 2 I=1,N
            ARR(I)=WRK(INDX(I))
    2    CONTINUE
C-----------------------------------------------------------------------
      RETURN
      END
